VST 3 SDK: VSTInterAppAudioAppDelegateBase Class Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Instance Methods | Properties | List of all members
VSTInterAppAudioAppDelegateBase Class Reference

Base UIApplicationDelegate class. More...

`#include <VSTInterAppAudioAppDelegateBase.h>`

Inheritance diagram for VSTInterAppAudioAppDelegateBase:

## Instance Methods
(BOOL) | - application:willFinishLaunchingWithOptions:
(BOOL) | - application:didFinishLaunchingWithOptions:
(BOOL) | - application:shouldSaveApplicationState:
(BOOL) | - application:shouldRestoreApplicationState:
(void) | - applicationDidBecomeActive:
(void) | - applicationWillResignActive:

## Properties
UIWindow * | window

## Detailed Description

Base UIApplicationDelegate class.

This class provides the base handling of the audio engine, plug-in and plug-in editor
You should subclass it for customization
Make sure to call the methods of this class if you override one in your subclass !

## Method Documentation

## ◆ application:willFinishLaunchingWithOptions:

- (BOOL) application: |  | (UIApplication*) | application
willFinishLaunchingWithOptions: |  | (NSDictionary*) | launchOptions

## ◆ application:didFinishLaunchingWithOptions:

- (BOOL) application: |  | (UIApplication*) | application
didFinishLaunchingWithOptions: |  | (NSDictionary*) | launchOptions

## ◆ application:shouldSaveApplicationState:

- (BOOL) application: |  | (UIApplication*) | application
shouldSaveApplicationState: |  | (NSCoder*) | coder

## ◆ application:shouldRestoreApplicationState:

- (BOOL) application: |  | (UIApplication*) | application
shouldRestoreApplicationState: |  | (NSCoder*) | coder

## ◆ applicationDidBecomeActive:

- (void) applicationDidBecomeActive: |  | (UIApplication*) | application |

## ◆ applicationWillResignActive:

- (void) applicationWillResignActive: |  | (UIApplication*) | application |

## Property Documentation

## ◆ window

- (UIWindow*) window
| readwritenonatomicstrong

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.